using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class HostTimingControl
	{

		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
        /// <summary>
        /// 酒店ID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
		/// <summary>
		/// 主机ID，多个以逗号隔开
		/// </summary>
        public virtual string HostIDs
		{
			get;
			set;
		}
        /// <summary>
        /// 楼层ID
        /// </summary>
        public virtual int GroupID
        {
            get;
            set;
        }
        /// <summary>
        /// 房型ID
        /// </summary>
        public virtual int RoomTypeID
        {
            get;
            set;
        }
        /// <summary>
        /// 房态ID
        /// </summary>
        public virtual int RoomStatusID
        {
            get;
            set;
        }
        /// <summary>
        /// 房卡ID
        /// </summary>
        public virtual int RoomCardTypeID
        {
            get;
            set;
        }
        /// <summary>
        /// 场景ID
        /// </summary>
        public virtual int RoomTypeSceneID
        {
            get;
            set;
        }
        /// <summary>
        /// 定时类型：0每天，1每周，2每月
        /// </summary>
        public virtual int TimingType
        {
            get;
            set;
        }
        /// <summary>
        /// 具体星期几还是几号
        /// </summary>
        public virtual string TimingDay
        {
            get;
            set;
        }
        /// <summary>
        /// 时间（时：分）
        /// </summary>
        public virtual string Timing
        {
            get;
            set;
        }
        /// <summary>
        /// 执行状态：0未执行，1已执行
        /// </summary>
        public virtual bool ExecStatus
        {
            get;
            set;
        }
        /// <summary>
        /// 执行时间
        /// </summary>
        public virtual DateTime ExecTime
        {
            get;
            set;
        }
        /// <summary>
        /// 启用
        /// </summary>
        public virtual bool ActiveIndicator
        {
            get;
            set;
        }
	}
}
